Tests: Rename the UST tests runners to test_<test name>
[lttng-tools.git] / tests / regression / ust / overlap / test_overlap
diff --git a/tests/regression/ust/overlap/test_overlap b/tests/regression/ust/overlap/test_overlap
new file mode 100755 (executable)
index 0000000..ca8efb3
--- /dev/null
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+DIR=$(dirname $0)
+
+tests=( $DIR/overlap.sh)
+
+exit_code=0
+
+function start_tests ()
+{
+    for bin in ${tests[@]};
+    do
+        ./$bin
+        # Test must return 0 to pass.
+        if [ $? -ne 0 ]; then
+            exit_code=1
+            break
+        fi
+    done
+}
+
+start_tests
+
+exit $exit_code
This page took 0.023251 seconds and 4 git commands to generate.